Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.agents
Class LifecycleAgent.ProcessingChannel

    java.lang.Object
      oracle.ifs.core.agents.LifecycleAgent.ProcessingChannel

Enclosing class:
  LifecycleAgent

    public class LifecycleAgent.ProcessingChannel

extends java.lang.Object

Holds inforamtion about a channel used to perform lifecycle processing actions encapsulated by RegisteredPolicyEntry instances.

Constructor Summary
`protected` | `LifecycleAgent.ProcessingChannel(int threadNum)` Constructs a ProcessingChannel.

Method Summary
`protected void` | `postProcessingAction(LifecycleAgent.RegisteredPolicyEntry rpe, java.lang.Long[] docIds)` Post a task to process the action in the thread of this channel's executor.
`protected void` | `shutdown()` Shutdown the channel.
`protected void` | `start()` Start the channel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LifecycleAgent.ProcessingChannel

    protected LifecycleAgent.ProcessingChannel(int threadNum)
                                        throws IfsException

  Constructs a ProcessingChannel.

  Parameters:
    `threadNum` - the thread number
  Throws:
    `IfsException` - if the operation fails

Method Detail

### start

    protected void start()
                  throws IfsException

  Description copied from class: `LifecycleAgent.ProcessingChannel`
  Start the channel.

  Throws:
    `IfsException` - if the operation fails

### shutdown

    protected void shutdown()
                     throws IfsException

  Description copied from class: `LifecycleAgent.ProcessingChannel`
  Shutdown the channel.

  Throws:
    `IfsException` - if the operation fails

### postProcessingAction

    protected void postProcessingAction(LifecycleAgent.RegisteredPolicyEntry rpe,
                                        java.lang.Long[] docIds)
                                 throws IfsException

  Description copied from class: `LifecycleAgent.ProcessingChannel`
  Post a task to process the action in the thread of this channel's executor.

  Parameters:
    `rpe` - the RegisteredPolicyEntry being processed
    `docIds` - document IDs to process
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD